
void _efl_canvas_vg_node_transformation_set(Eo *obj, Efl_Canvas_Vg_Node_Data *pd, const Eina_Matrix3 *m);

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_vg_node_transformation_set, EFL_FUNC_CALL(m), const Eina_Matrix3 *m);

const Eina_Matrix3 *_efl_canvas_vg_node_transformation_get(const Eo *obj, Efl_Canvas_Vg_Node_Data *pd);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_vg_node_transformation_get, const Eina_Matrix3 *, NULL);

void _efl_canvas_vg_node_origin_set(Eo *obj, Efl_Canvas_Vg_Node_Data *pd, double x, double y);

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_vg_node_origin_set, EFL_FUNC_CALL(x, y), double x, double y);

void _efl_canvas_vg_node_origin_get(const Eo *obj, Efl_Canvas_Vg_Node_Data *pd, double *x, double *y);

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV_CONST(efl_canvas_vg_node_origin_get, EFL_FUNC_CALL(x, y), double *x, double *y);

void _efl_canvas_vg_node_comp_method_set(Eo *obj, Efl_Canvas_Vg_Node_Data *pd, Efl_Canvas_Vg_Node *target, Efl_Gfx_Vg_Composite_Method method);

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_vg_node_comp_method_set, EFL_FUNC_CALL(target, method), Efl_Canvas_Vg_Node *target, Efl_Gfx_Vg_Composite_Method method);

void _efl_canvas_vg_node_efl_object_name_set(Eo *obj, Efl_Canvas_Vg_Node_Data *pd, const char *name);


void _efl_canvas_vg_node_efl_object_parent_set(Eo *obj, Efl_Canvas_Vg_Node_Data *pd, Efl_Object *parent);


Efl_Object *_efl_canvas_vg_node_efl_object_constructor(Eo *obj, Efl_Canvas_Vg_Node_Data *pd);


void _efl_canvas_vg_node_efl_object_invalidate(Eo *obj, Efl_Canvas_Vg_Node_Data *pd);


void _efl_canvas_vg_node_efl_object_destructor(Eo *obj, Efl_Canvas_Vg_Node_Data *pd);


void _efl_canvas_vg_node_efl_gfx_entity_visible_set(Eo *obj, Efl_Canvas_Vg_Node_Data *pd, Eina_Bool v);


Eina_Bool _efl_canvas_vg_node_efl_gfx_entity_visible_get(const Eo *obj, Efl_Canvas_Vg_Node_Data *pd);


void _efl_canvas_vg_node_efl_gfx_color_color_set(Eo *obj, Efl_Canvas_Vg_Node_Data *pd, int r, int g, int b, int a);


void _efl_canvas_vg_node_efl_gfx_color_color_get(const Eo *obj, Efl_Canvas_Vg_Node_Data *pd, int *r, int *g, int *b, int *a);


Eina_Size2D _efl_canvas_vg_node_efl_gfx_entity_size_get(const Eo *obj, Efl_Canvas_Vg_Node_Data *pd);


void _efl_canvas_vg_node_efl_gfx_entity_position_set(Eo *obj, Efl_Canvas_Vg_Node_Data *pd, Eina_Position2D pos);


Eina_Position2D _efl_canvas_vg_node_efl_gfx_entity_position_get(const Eo *obj, Efl_Canvas_Vg_Node_Data *pd);


Eina_Rect _efl_canvas_vg_node_efl_gfx_entity_geometry_get(const Eo *obj, Efl_Canvas_Vg_Node_Data *pd);


Efl_Gfx_Stack *_efl_canvas_vg_node_efl_gfx_stack_below_get(const Eo *obj, Efl_Canvas_Vg_Node_Data *pd);


Efl_Gfx_Stack *_efl_canvas_vg_node_efl_gfx_stack_above_get(const Eo *obj, Efl_Canvas_Vg_Node_Data *pd);


void _efl_canvas_vg_node_efl_gfx_stack_stack_below(Eo *obj, Efl_Canvas_Vg_Node_Data *pd, Efl_Gfx_Stack *below);


void _efl_canvas_vg_node_efl_gfx_stack_stack_above(Eo *obj, Efl_Canvas_Vg_Node_Data *pd, Efl_Gfx_Stack *above);


void _efl_canvas_vg_node_efl_gfx_stack_raise_to_top(Eo *obj, Efl_Canvas_Vg_Node_Data *pd);


void _efl_canvas_vg_node_efl_gfx_stack_lower_to_bottom(Eo *obj, Efl_Canvas_Vg_Node_Data *pd);


Eina_Bool _efl_canvas_vg_node_efl_gfx_path_interpolate(Eo *obj, Efl_Canvas_Vg_Node_Data *pd, const Efl_Object *from, const Efl_Object *to, double pos_map);


Efl_Duplicate *_efl_canvas_vg_node_efl_duplicate_duplicate(const Eo *obj, Efl_Canvas_Vg_Node_Data *pd);


static Eina_Bool
_efl_canvas_vg_node_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_CANVAS_VG_NODE_EXTRA_OPS
#define EFL_CANVAS_VG_NODE_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_canvas_vg_node_transformation_set, _efl_canvas_vg_node_transformation_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_vg_node_transformation_get, _efl_canvas_vg_node_transformation_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_vg_node_origin_set, _efl_canvas_vg_node_origin_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_vg_node_origin_get, _efl_canvas_vg_node_origin_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_vg_node_comp_method_set, _efl_canvas_vg_node_comp_method_set),
      EFL_OBJECT_OP_FUNC(efl_name_set, _efl_canvas_vg_node_efl_object_name_set),
      EFL_OBJECT_OP_FUNC(efl_parent_set, _efl_canvas_vg_node_efl_object_parent_set),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_canvas_vg_node_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_invalidate, _efl_canvas_vg_node_efl_object_invalidate),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_canvas_vg_node_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_visible_set, _efl_canvas_vg_node_efl_gfx_entity_visible_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_visible_get, _efl_canvas_vg_node_efl_gfx_entity_visible_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_color_set, _efl_canvas_vg_node_efl_gfx_color_color_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_color_get, _efl_canvas_vg_node_efl_gfx_color_color_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_size_get, _efl_canvas_vg_node_efl_gfx_entity_size_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_position_set, _efl_canvas_vg_node_efl_gfx_entity_position_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_position_get, _efl_canvas_vg_node_efl_gfx_entity_position_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_geometry_get, _efl_canvas_vg_node_efl_gfx_entity_geometry_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_stack_below_get, _efl_canvas_vg_node_efl_gfx_stack_below_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_stack_above_get, _efl_canvas_vg_node_efl_gfx_stack_above_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_stack_below, _efl_canvas_vg_node_efl_gfx_stack_stack_below),
      EFL_OBJECT_OP_FUNC(efl_gfx_stack_above, _efl_canvas_vg_node_efl_gfx_stack_stack_above),
      EFL_OBJECT_OP_FUNC(efl_gfx_stack_raise_to_top, _efl_canvas_vg_node_efl_gfx_stack_raise_to_top),
      EFL_OBJECT_OP_FUNC(efl_gfx_stack_lower_to_bottom, _efl_canvas_vg_node_efl_gfx_stack_lower_to_bottom),
      EFL_OBJECT_OP_FUNC(efl_gfx_path_interpolate, _efl_canvas_vg_node_efl_gfx_path_interpolate),
      EFL_OBJECT_OP_FUNC(efl_duplicate, _efl_canvas_vg_node_efl_duplicate_duplicate),
      EFL_CANVAS_VG_NODE_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_canvas_vg_node_class_desc = {
   EO_VERSION,
   "Efl.Canvas.Vg.Node",
   EFL_CLASS_TYPE_REGULAR_NO_INSTANT,
   sizeof(Efl_Canvas_Vg_Node_Data),
   _efl_canvas_vg_node_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_canvas_vg_node_class_get, &_efl_canvas_vg_node_class_desc, EFL_OBJECT_CLASS, EFL_GFX_ENTITY_INTERFACE, EFL_GFX_COLOR_MIXIN, EFL_GFX_STACK_INTERFACE, EFL_DUPLICATE_INTERFACE, EFL_GFX_PATH_MIXIN, NULL);
